INTRODUCTION
============

This document represent the install instructions to setup your TOSIBOX(R)
Virtual Central Lock instance in Microsoft Azure or Amazon Web Services.

To install TOSIBOX(R) Virtual Central Lock in a cloud environments, ensure
you meet the prerequisites mentioned below, and follow the instructions.

URLS
----
The following URLs are referenced in this document:

[VHD-IMAGE-URL]
https://downloads.tosibox.com/VCL/TOSIBOX_Virtual_Central_Lock_latest_cloud.vhd

[SCRIPT-URL]
https://downloads.tosibox.com/VCL/TOSIBOX_Virtual_Central_Lock_Cloud_Install.zip

(or the latest on: https://www.tosibox.com/documentation-and-downloads/)

[VCL-WEB-URL]
https://www.tosibox.com/product/virtual-central-lock/

Prerequisites
-------------
Before installation, ensure the following prerequisites are met:
- Linux / MacOS workstation to run the installer (on Windows these steps can
  be done manually, or with Linux subsystem)
- Azure or AWS subscription / accounts
- "az" or "aws" command line tools installed
- Activation code from [VCL-URL]

Generic instructions
--------------------
You can install TOSIBOX(R) Virtual Central Lock in a way that best suits your
purposes, for example:
- Manually
- With script wizard

MANUAL INSTRUCTIONS
===================

Manual deployment steps for Azure
---------------------------------
1. Download the VHD image from [VHD-IMAGE-URL]
2. Create a storage account / container
3. Upload file as Page Blob to the container
4. Create a disk based on the Page Blob image
5. Create a VM based on your needs with public IP and port 80 open to your IP

Manual deployment steps for AWS
-------------------------------
1. Download the VHD image from [VHD-IMAGE-URL]
2. Create a S3 bucket and upload the VHD image there
3. Import an AMI image from the VHD image
4. Select the AMI and press Launch-Button
5. Configure based on your needs with public IP and port 80 open to your IP

Common steps after deployment
-----------------------------
6. Activate by navigating to the public IP with your web browser and entering
   the activation code
7. Wait until the virtual machine reboots and the remote matching code
   appears to the console log
   In AWS: Actions > Instance settings > Get System Log
8. Enter the remote matching code to your TOSIBOX(R) Key application


INSTALL SCRIPT INSTRUCTIONS
===========================

With the install script, you can make an easy default reference installation.
Every use case might need variances, so the IaC templates (Infrastructure
  as Code) are provided so that they can be modified for your purposes.

DISCLAIMER: The URL used in the install script might not work in all regions.
The script may not work in various unexpected scenarios. In this case, please
contact support@tosibox.com to get help.


AWS preliminary steps
---------------------
1. Navigate to My security credentials (under IAM/User)
2. Under "Access keys for CLI, SDK, & API access" Create access Key and
   make note of the access Key and secret Key
3. start configuration

  `# aws configure --profile [PROFILENAME]`
4. Fill in your details and enter the access key and secret key
5. Set the profile to your environment variable

  `# export AWS_PROFILE=[PROFILENAME]`

Installer preparation steps
---------------------------
1. Open terminal
2. If you down't already have, download the latest installation package

  `# curl [SCRIPT-URL] -o tosibox-virtual-central-lock.zip`
3. Unzip the file into a directory you want to extract the install script
   and templates.

  `# unzip tosibox-virtual-central-lock.zip`
4. Run the installer

  `# tosibox-virtual-central-lock.sh install`


Installer steps
---------------
*Step 1: Deployment*
 1. The installer asks for the deployment name. Pick any name you want,
    bearing in mind the name needs to be globally unique and it will be
    used also
	    - In Azure as a resource group name
	    - In AWS as a Cloudformation stack, buckets, etc.
 2. The next question is IP address. This enables connectivity to the
    inactivated VCL instance only from your selected IP address. You may
    enable `--source-ip auto` for automatic detection for a third party service
    ipinfo.io.
 3. The last question is about the cloud service. Choose your option:
	   - "aws" for Amazon Web Service
	   - "az" for Azure

*Step 2: Activation*
 1. The installer asks for activation code. Download Lite version of the
    license from [VCL-WEB-URL] or order directly from Tosibox sales.
 2. Insert the activation code to start the activation phase.

*Step 3: Remote matching*
 1. After the activation is ready, installer outputs the remote matching code.
 2. Insert the code to your TOSIBOX(R) Key "Devices -> Remote Matching"

Congratulations, you have now successfully installed and ready
to use TOSIBOX(R) Virtual Central Lock!
